Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(899)

Issue 91010047: code review 91010047: cmd/vet: check for use of json/xml struct tags with une... (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 8 months ago by josharian
Modified:
4 years, 7 months ago
Reviewers:
r
CC:
golang-codereviews, r, bradfitz
Visibility:
Public.

Description

cmd/vet: check for use of json/xml struct tags with unexported fields This is a common source of bugs, particularly for those new to Go. Running this on a corpus of public code flagged 114 instances. This check may need to be updated once issue 7363 is resolved.

Patch Set 1 #

Patch Set 2 : diff -r 4df3c625eb79 https://code.google.com/p/go.tools #

Patch Set 3 : diff -r 4df3c625eb79 https://code.google.com/p/go.tools #

Patch Set 4 : diff -r b6a3b105fbb0 https://code.google.com/p/go.tools #

Patch Set 5 : diff -r b6a3b105fbb0 https://code.google.com/p/go.tools #

Patch Set 6 : diff -r 15d5d18b23ba https://code.google.com/p/go.tools #

Patch Set 7 : code review 91010047: cmd/vet: check for use of json/xml struct tags with une... #

Patch Set 8 : diff -r 6ad8bf15f79a https://code.google.com/p/go.tools #

Total comments: 6

Patch Set 9 : diff -r 6ad8bf15f79a https://code.google.com/p/go.tools #

Patch Set 10 : diff -r 68dc88dd25ff https://code.google.com/p/go.tools #

Unified diffs Side-by-side diffs Delta from patch set Stats (+37 lines, -2 lines) Patch
M cmd/vet/doc.go View 1 2 3 7 1 chunk +1 line, -0 lines 0 comments Download
M cmd/vet/structtag.go View 1 2 3 4 5 6 7 8 2 chunks +22 lines, -2 lines 0 comments Download
M cmd/vet/testdata/structtag.go View 1 2 3 4 5 6 7 8 1 chunk +14 lines, -0 lines 0 comments Download

Messages

Total messages: 7
josharian
Hello golang-codereviews@googlegroups.com, I'd like you to review this change to https://code.google.com/p/go.tools
4 years, 7 months ago (2014-06-11 01:30:56 UTC) #1
bradfitz
R=r Nice. Assigning review to Rob. On Tue, Jun 10, 2014 at 6:30 PM, <josharian@gmail.com> ...
4 years, 7 months ago (2014-06-11 18:29:42 UTC) #2
josharian
PTAL updated to apply cleanly to tip > R=r > > Nice. Assigning review to ...
4 years, 7 months ago (2014-06-13 17:55:54 UTC) #3
r
https://codereview.appspot.com/91010047/diff/130001/cmd/vet/structtag.go File cmd/vet/structtag.go (right): https://codereview.appspot.com/91010047/diff/130001/cmd/vet/structtag.go#newcode17 cmd/vet/structtag.go:17: "check that struct field tags have canonical format and ...
4 years, 7 months ago (2014-06-13 22:05:41 UTC) #4
josharian
Thanks. PTAL https://codereview.appspot.com/91010047/diff/130001/cmd/vet/structtag.go File cmd/vet/structtag.go (right): https://codereview.appspot.com/91010047/diff/130001/cmd/vet/structtag.go#newcode17 cmd/vet/structtag.go:17: "check that struct field tags have canonical ...
4 years, 7 months ago (2014-06-13 23:06:20 UTC) #5
r
LGTM
4 years, 7 months ago (2014-06-13 23:17:53 UTC) #6
josharian
4 years, 7 months ago (2014-06-14 01:44:34 UTC) #7
*** Submitted as
https://code.google.com/p/go/source/detail?r=dfa149f4c2fc&repo=tools ***

cmd/vet: check for use of json/xml struct tags with unexported fields

This is a common source of bugs, particularly for those new to Go. Running this
on a corpus of public code flagged 114 instances.

This check may need to be updated once issue 7363 is resolved.

LGTM=r
R=golang-codereviews, r
CC=bradfitz, golang-codereviews
https://codereview.appspot.com/91010047
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b